/* le svg =================================================*/
svg { background-color: #fff8f8; }

.svg-container {
  display: inline-block;
  position: relative;
  width: 100%;
  padding-bottom: 100%; /* aspect ratio */
  vertical-align: top;
  overflow: hidden;
}
.svg-content-responsive {
  display: inline-block;
  position: absolute;
  top: 0px;
  left: 0;
}

/* la grille ------------------------------------ */
.xAxis, .yAxis, .coords {
	stroke : gray; /* couleur des chiffres sur les axes */
	/* rend le texte non selectable */
	-webkit-user-select: none; /* Safari */        
	-moz-user-select: none; /* Firefox */
	-ms-user-select: none; /* IE10+/Edge */
	user-select: none; /* Standard */
}
 .coords  {
	stroke: black; /* couleur du texte sur la croix */
	fill: black;
	font-family: Avenir, Helvetica, sans-serif;
	stroke: none;
	/*font-weight: bold; /**/
	font-size:16px;
 }
.gridline{
	stroke: black;
	fill: none;
	shape-rendering: crispEdges;
	stroke-opacity: .2;
}

.curlinex, .curliney, .curseur {
	stroke: green;
	fill: none;
	stroke-width: 2;
}
.curlinex {
	stroke: blue;
}

.dot {
	fill: red;
}
.dotline {
	fill: green;
}
.resdot {
	fill: orange;
}
.resline {
	stroke: green;
	fill :none;
	stroke-width: 2;
}
.reslineG, .reslineD {
	stroke: blue;
}
/* ========= le style du html ========================================= */
#editcontrol {
  display:inline-block; /**/
  display: flow;
}
#fn {
  width: 100px;
  display: none;
}
input.button {
  width:380px;
  height: 30px;
  line-height: 44px; /**/
  padding: 10px; /**/
  /*position: relative; /**/
   left:10px;/**/
  /*bottom:10px;
  */
  vertical-align: middle;
  cursor: text;
    font-size: 2em;
}
#msgErreur {
	color: red;
}
#valRes {
	color: black;
	 font-size: 1em;
}

/* le slider pour l'échelle ------------------------------------------ */

input[type=range] {
  -webkit-appearance: none;
  margin: 18px 0;
  width: 100%;
}
input[type=range]:focus {
  outline: none;
}
input[type=range]::-webkit-slider-runnable-track {
  width: 100%;
  height: 8.4px;
  cursor: pointer;
  box-shadow: 1px 1px 1px #000000, 0px 0px 1px #0d0d0d;
  background: #3071a9;
  border-radius: 1.3px;
  border: 0.2px solid #010101;
}
input[type=range]::-webkit-slider-thumb {
  box-shadow: 1px 1px 1px #000000, 0px 0px 1px #0d0d0d;
  border: 1px solid #000000;
  height: 36px;
  width: 16px;
  border-radius: 3px;
  background: #ffffff;
  cursor: pointer;
  -webkit-appearance: none;
  margin-top: -14px;
}
input[type=range]:focus::-webkit-slider-runnable-track {
  background: #367ebd;
}
input[type=range]::-moz-range-track {
  width: 100%;
  height: 8.4px;
  cursor: pointer;
  box-shadow: 1px 1px 1px #000000, 0px 0px 1px #0d0d0d;
  background: #3071a9;
  border-radius: 1.3px;
  border: 0.2px solid #010101;
}
input[type=range]::-moz-range-thumb {
  box-shadow: 1px 1px 1px #000000, 0px 0px 1px #0d0d0d;
  border: 1px solid #000000;
  height: 36px;
  width: 16px;
  border-radius: 3px;
  background: #ffffff;
  cursor: pointer;
}
input[type=range]::-ms-track {
  width: 100%;
  height: 8.4px;
  cursor: pointer;
  background: transparent;
  border-color: transparent;
  border-width: 16px 0;
  color: transparent;
}
input[type=range]::-ms-fill-lower {
  background: #2a6495;
  border: 0.2px solid #010101;
  border-radius: 2.6px;
  box-shadow: 1px 1px 1px #000000, 0px 0px 1px #0d0d0d;
}
input[type=range]::-ms-fill-upper {
  background: #3071a9;
  border: 0.2px solid #010101;
  border-radius: 2.6px;
  box-shadow: 1px 1px 1px #000000, 0px 0px 1px #0d0d0d;
}
input[type=range]::-ms-thumb {
  box-shadow: 1px 1px 1px #000000, 0px 0px 1px #0d0d0d;
  border: 1px solid #000000;
  height: 36px;
  width: 16px;
  border-radius: 3px;
  background: #ffffff;
  cursor: pointer;
}
input[type=range]:focus::-ms-fill-lower {
  background: #3071a9;
}
input[type=range]:focus::-ms-fill-upper {
  background: #367ebd;
}